dbXML API

## com.dbxml.db.core.extension
Class CannotCreateException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.dbxml.util.dbXMLException
                  com.dbxml.db.core.DBException
                      com.dbxml.db.core.extension.ExtensionException
                          com.dbxml.db.core.extension.CannotCreateException

All Implemented Interfaces:
  java.io.Serializable

public final class CannotCreateException
extends ExtensionException

A CannotCreateException is thrown if an Extension cannot be properly created in the server context for some reason.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.dbxml.util.dbXMLException
`faultCode`

Constructor Summary
`CannotCreateException()`
`CannotCreateException(java.lang.String message)`
`CannotCreateException(java.lang.String message, java.lang.Throwable wrapped)`
`CannotCreateException(java.lang.Throwable wrapped)`

Methods inherited from class com.dbxml.util.dbXMLException
`getFaultCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CannotCreateException

    public CannotCreateException()

### CannotCreateException

    public CannotCreateException(java.lang.Throwable wrapped)

### CannotCreateException

    public CannotCreateException(java.lang.String message)

### CannotCreateException

    public CannotCreateException(java.lang.String message,
                                 java.lang.Throwable wrapped)

dbXML API

Copyright (c) 2004 The dbXML Group